Set / update customer email (tenant-scoped)
PATCH
/api/v1/customers/{id}/email
const url = 'https://api.dokanmazad.com/api/v1/customers/cmoabcde000001ny11aabbcc0/email';const options = { method: 'PATCH', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"email":"ahmed@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.dokanmazad.com/api/v1/customers/cmoabcde000001ny11aabbcc0/email \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "email": "ahmed@example.com" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Customer CUID
Example
cmoabcde000001ny11aabbcc0Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
required
New customer email — normalized to lowercase server-side.
string
Examples
Exampledefault
{ "email": "ahmed@example.com"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
success
required
boolean
data
required
meta
object
page
integer
limit
integer
total
integer
totalPages
integer
data
required
object
id
required
Customer CUID
string
email
required
Updated email address
string
updatedAt
required
Update timestamp
string format: date-time
Examples
Examplesuccess
{ "success": true, "data": { "id": "cmoabcde000001ny11aabbcc0", "email": "ahmed@example.com", "updatedAt": "2026-05-12T11:00:00.000Z" }}Unauthorized — missing or invalid API key
Media typeapplication/json
object
success
required
boolean
error
required
string
statusCode
required
integer
Example
{ "success": false}Forbidden — route not in this key’s allowedRoutes
Media typeapplication/json
object
success
required
boolean
error
required
string
statusCode
required
integer
Example
{ "success": false}Rate limit exceeded
Media typeapplication/json
object
success
required
boolean
error
required
string
statusCode
required
integer
Example
{ "success": false}Headers
Section titled “Headers”Retry-After
integer
Seconds to wait before retrying
